QPrintDialog(3qt)

NAME
QPrintDialog - Dialog for specifying print-out details

SYNOPSIS

#include <qprintdialog.h>

Inherits QDialog.

  Public Members
QPrintDialog ( QPrinter *, QWidget * parent=0, const char * name=0 )
~QPrintDialog ()
void setPrinter ( QPrinter *, bool = FALSE )
QPrinter* printer () const

  Static Public Members
bool getPrinterSetup ( QPrinter * )

DESCRIPTION
The QPrintDialog class provides a dialog for specifying print-out details.

It encompasses both the sort of details needed for doing a simple print-out and some print configuration setup.

At present, the only easy way to use the class is through the static function getPrinterSetup(). You can however also call the global QPrintDialot::getPrinterConfigure(), or subclass in order to extend one of the group boxes.

Note that in 1.40 the printer dialog is a little too high for comfortable use on a small-screen machine. This will be improved on in 2.0.

<img width="479" height="540" src="printerdialog.gif">
The printer dialog, on a large screen, in Motif style.

MEMBER FUNCTION DOCUMENTATION

QPrintDialog::QPrintDialog ( QPrinter * prn, QWidget * parent=0, const char * name=0 )
Creates a new modal printer dialog that configures prn and is a child of parent named name.

QPrintDialog::~QPrintDialog ()
Destroys the object and frees any allocated resources. Does not delete the associated QPrinter object.

bool QPrintDialog::getPrinterSetup ( QPrinter * p ) [static]
Display a dialog and allow the user to configure the QPrinter p. Returns TRUE if the user clicks OK or presses Enter, FALSE if the user clicks Cancel or presses Escape.

getPrinterSetup() remembers the settings and provides the same settings the next time the dialog is shown.

QPrinter * QPrintDialog::printer () const
Returns a pointer to the printer this dialog configures, or 0 if this dialog does not operate on any printer.

void QPrintDialog::setPrinter ( QPrinter * p, bool pickUpSettings = FALSE )
Sets this dialog to configure p, or no printer if p is FALSE. If pickUpSettings is TRUE, the dialog reads most of its settings from printer. If pickUpSettings is FALSE (the default) the dialog keeps its old settings.

SEE ALSO
http://www.troll.no/qt/qprintdialog.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.